<?php

function tpbfi_filter($content) {
	// Plugin Options
	$tpbfi_options = get_option('tpbfi_options');

	// WordPress page attributes
	$url = get_permalink();
	$title = get_the_title();

	// Load PHP:DOM Class
	$html = new simple_html_dom();

	// Load HTML
	$html->load($content);

	// Find IMGs
	$img = $html->find('img');

	// Iterate IMGs
	foreach ( $img as $i => $ia ) {
		// Set exclusions to false
		$common_ids = false;
		$common_classes = false;
		$width_exclude = false;
		$height_exclude = false;

		// Modify a specific DOM element
		$elem = $html->find('img',$i);

		if ( $elem->parent->tag == 'a' )
			continue;
	
		// IMG
		if ( $tpbfi_options['img'] == 'enabled' ) {
			// Get the Class/ID exclude list and check it for intersection with element ids and classes
			$class_id_list = tpbfi_explode_class_id_list($tpbfi_options['exclude_img_class_id_list']);
			if ( $class_id_list && $class_id_list != 'error' ) {
				$common_ids = array_intersect(explode(' ', $elem->attr['id']), $class_id_list['ids']);
				$common_classes = array_intersect(explode(' ', $elem->attr['class']), $class_id_list['classes']);
			}
			// If there is a width make sure it's greater than min
			if ( $elem->attr['width'] && $elem->attr['width'] < $tpbfi_options['exclude_img_width'] )
				$width_exclude = true;
			// If there is a height make sure it's greater than min
			if ( $elem->attr['height'] && $elem->attr['height'] < $tpbfi_options['exclude_img_height'] )
				$height_exclude = true;
			// Continue to the next iteration if any of the exclusion parameters were met
			if ( $common_ids || $common_classes || $width_exclude || $height_exclude )
				continue;
			// Do the TPBFI stuff if you got this far
			$button = tpbfi_button($elem->attr['src'],$url,$title);
			$elem->outertext = '<span class="tpbfi-item tpbfi-item-img">' . $elem->outertext . $button . '</span>' ;
		}

	}

	// Find IMGs
	$imga = $html->find('a');

	// Iterate A IMGs
	foreach ( $imga as $i => $ia ) {
		// Set exclusions to false
		$common_ids = false;
		$common_classes = false;
		$width_exclude = false;
		$height_exclude = false;
		$target_rel_exclude = false;

		// Modify a specific DOM element
		$elem = $html->find('a',$i);

		// A IMG
		if ( $elem->children(0)->tag == 'img' ) {
			if ( $tpbfi_options['imga'] == 'enabled' ) {
				// A IMG
				if ( $tpbfi_options['imga'] == 'enabled' ) {
					// Get the Class/ID exclude list and check it for intersection with element ids and classes
					$class_id_list = tpbfi_explode_class_id_list($tpbfi_options['exclude_imga_class_id_list']);
					if ( $class_id_list && $class_id_list != 'error' ) {
						$common_ids = array_intersect(explode(' ', $elem->attr['id']), $class_id_list['ids']);
						$common_classes = array_intersect(explode(' ', $elem->attr['class']), $class_id_list['classes']);
					}
					// If there is a width make sure it's greater than min
					$elemc = $elem->children(0);
					if ( $elemc->attr['width'] && $elemc->attr['width'] < $tpbfi_options['exclude_imga_width'] )
						$width_exclude = true;
					// If there is a height make sure it's greater than min
					if ( $elemc->attr['height'] && $elemc->attr['height'] < $tpbfi_options['exclude_imga_height'] )
						$height_exclude = true;
					// Check for target or rel exclude
					if ( $elem->attr['target'] && $elem->attr['target'] == '_blank' )
						$target_rel_exclude = true;
					if ( $elem->attr['rel'] && $elem->attr['rel'] == 'external' )
						$target_rel_exclude = true;
					// Continue to the next iteration if any of the exclusion parameters were met
					if ( $common_ids || $common_classes || $width_exclude || $height_exclude || $target_rel_exclude )
						continue;
					// Do the TPBFI stuff if you got this far
					$button = tpbfi_button($elem->children(0)->attr['src'],$url,$title);
					$elem->outertext = '<span class="tpbfi-item tpbfi-item-imga">' . $elem->outertext . $button . '</span>' ;
				}
			}
		}


	}

	return $html;

}

?>