<?php

$tpbfi_version = get_option('tpbfi_version');
$tpbfi_options = get_option('tpbfi_options');

// Save Options If Posted
if ( isset($_POST['tpbfi_submit']) )
	update_option( 'tpbfi_options', $_POST['tpbfi_options'] );

?>
<div class="wrap tpbfi">

	<div class="title">
		<div id="icon-pinterest" class="icon32"></div>
		<h2>TechStudio's Pinterest Button For Images</h2>
		<p class="version">Version <?php echo $tpbfi_version; ?> <em>&bull;</em> by <a href="#" target="_blank">TechStudio</a></p>
	</div>

	<div class="about">
		<p>There are many Pinterest button plugins for WordPress, but this one uses a PHP filter to add the classes to your content and it doesn't force you to load additional stylesheets or scripts. Keep it tidy.</p>
	</div>

	<!-- Message : Settings Saved -->
	<?php if ( $_POST['tpbfi_submit'] == true ) : ?>
	<div id="setting-error-settings_updated" class="updated settings-error"> 
		<p><strong>Settings saved.</strong></p>
	</div>
	<?php endif; ?>

	<!-- Message : Development Mode : Enabled -->
	<?php if ( $_GET['dev'] == true ) : ?>
	<div id="setting-error-settings_updated" class="updated development-mode-enabled"> 
		<p><strong>Development mode enabled. Aren't you clever?</strong></p>
	</div>
	<?php endif; ?>

	<form method="post">
		<?php //settings_fields('tpbfi_plugin_options'); ?>
		<?php $tpbfi_options = get_option('tpbfi_options'); ?>	

		<table class="form-table">

			<!-- CSS -->
			<tr>
				<td><h3>CSS</h3></td>
				<td>When enabled, default inline CSS is added to the header to define the styles for the button without adding an additional server vall. Disable and integrate the CSS into your global stylesheet!</td>
			</tr>
			<tr valign="top" class="section-end">
				<th scope="row">CSS Output</th>
				<td>
					<label><input name="tpbfi_options[css]" type="checkbox" value="enabled" <?php if ( isset($tpbfi_options['css']) ) { checked('enabled', $tpbfi_options['css']); } ?> /> Enable CSS Output</label>
				</td>
			</tr>

			<!-- Javascript -->
			<tr>
				<td><h3>Javascript</h3></td>
				<td>One of several actions can be taken when users click on the Pinterest button. Javascript onClick can be set to open a new window when the Pin-it button is clicked. A simple anchor can be used for the button so it is a conventional link. You can also disable all these methods in favor of your own.</td>
			</tr>
			<tr valign="top" class="section-end">
				<th scope="row">Javascript Output</th>
				<td>
					<label><input name="tpbfi_options[javascript]" type="radio" value="onclick" <?php checked('onclick', $tpbfi_options['javascript']); ?> /> OnClick</label><br />
					<label><input name="tpbfi_options[javascript]" type="radio" value="anchor" <?php checked('anchor', $tpbfi_options['javascript']); ?> /> Anchor (no Javascript)</label><br />
					<label><input name="tpbfi_options[javascript]" type="radio" value="disabled" <?php checked('disabled', $tpbfi_options['javascript']); ?> /> Disabled</label><br />
				</td>
			</tr>

			<!-- Images -->
			<tr>
				<td><h3>Images</h3></td>
				<td>The plugin is designed to wrap images in your content with the Pinterest button. You can exclude the wrap by class or dimensions.</td>
			</tr>
			<tr valign="top">
				<th scope="row">Wrap</th>
				<td>
					<label><input name="tpbfi_options[img]" type="checkbox" value="enabled" <?php if (isset($tpbfi_options['img'])) { checked('enabled', $tpbfi_options['img']); } ?> /> Enable <em>IMG</em> Wrap</label>
				</td>
			</tr>
			<tr>
				<th scope="row">Exclude : By Class/ID</th>
				<td>
					<textarea name="tpbfi_options[exclude_img_class_id_list]" rows="3" cols="50" type='textarea'><?php echo $tpbfi_options['exclude_img_class_id_list']; ?></textarea><br /><span style="color:#666666;margin-left:2px;">Exclude images from getting wrapped by entering exclude classes or IDs. This is checked against the class of the <em>IMG</em> element. Enter a comma separated list. Example:</span><pre>.class,.another-class,#id,#anotherID</pre>
				</td>
			</tr>
			<tr>
				<th scope="row">Exclude : Minimum Width</th>
				<td>
					<input type="text" size="3" name="tpbfi_options[exclude_img_width]" value="<?php echo $tpbfi_options['exclude_img_width']; ?>" /> px
				</td>
			</tr>
			<tr class="section-end">
				<th scope="row">Exclude : Minimum Height</th>
				<td>
					<input type="text" size="3" name="tpbfi_options[exclude_img_height]" value="<?php echo $tpbfi_options['exclude_img_height']; ?>" /> px
				</td>
			</tr>

			<!-- Anchor-Wrapped Images -->
			<tr>
				<td><h3>Anchor-Wrapped Images</h3></td>
				<td>An image wrapped in an anchor is just an image that is a link. If you want the plugin to wrap these you must be more careful about your Javascript method to ensure compatibility. This setting enables or disables the wrapping of such elements. These are handled separately from images, so take note that your settings for standalone images do not apply here.</td>
			</tr>
			<tr valign="top">
				<th scope="row">Wrap</th>
				<td>
					<label><input name="tpbfi_options[imga]" type="checkbox" value="enabled" <?php if (isset($tpbfi_options['imga'])) { checked('enabled', $tpbfi_options['imga']); } ?> /> Enable <em>A IMG</em> Wrap</label>
				</td>
			</tr>
			<tr>
				<th scope="row">Exclude : By Class/ID</th>
				<td>
					<textarea name="tpbfi_options[exclude_imga_class_id_list]" rows="7" cols="50" type='textarea'><?php echo $tpbfi_options['exclude_imga_class_id_list']; ?></textarea><br /><span style="color:#666666;margin-left:2px;">Exclude images from getting wrapped by entering exclude classes or IDs. This is checked against the class of the <em>A</em> element which wraps the <em>IMG</em> element. Enter a comma separated list. Example:</span><pre>.class,.another-class,#id,#anotherID</pre>
				</td>
			</tr>
			<tr>
				<th scope="row">Exclude : Minimum Width</th>
				<td>
					<input type="text" size="3" name="tpbfi_options[exclude_imga_width]" value="<?php echo $tpbfi_options['exclude_imga_width']; ?>" /> px
				</td>
			</tr>
			<tr>
				<th scope="row">Exclude : Minimum Height</th>
				<td>
					<input type="text" size="3" name="tpbfi_options[exclude_imga_height]" value="<?php echo $tpbfi_options['exclude_imga_height']; ?>" /> px
				</td>
			</tr>
			<tr valign="top">
				<th scope="row">Exclude <em>target=_blank</em></th>
				<td>
					<label><input name="tpbfi_options[exclude_imga_target_blank]" type="checkbox" value="enabled" <?php if (isset($tpbfi_options['exclude_imga_target_blank'])) { checked('enabled', $tpbfi_options['exclude_imga_target_blank']); } ?> /> Exclude <em>target=_blank</em></label>
				</td>
			</tr>
			<tr valign="top">
				<th scope="row">Exclude <em>rel=external</em></th>
				<td>
					<label><input name="tpbfi_options[exclude_imga_rel_external]" type="checkbox" value="enabled" <?php if (isset($tpbfi_options['exclude_imga_rel_external'])) { checked('enabled', $tpbfi_options['exclude_imga_rel_external']); } ?> /> Exclude <em>rel=external</label>
				</td>
			</tr>

		</table>

		<div class="submit">
			<input type="hidden" name="tpbfi_submit" value="1">
			<input type="submit" class="button-primary" value="<?php _e('Save Changes') ?>">
		</div>

	</form>

	<?php if ( $_GET['dev'] == true ) : ?>
	
	<h3>Raw Options</h3>
	<div class="example-content raw-options"><pre><?php print_r($tpbfi_options); ?></pre></div>
	
	<h3>Filter In Action</h3>
	<?php
	$example_content =
'<div class="content">
	<p><em>IMG</em></p>
	<p><img src="http://placekitten.com/600/320" width="600" height="320" alt="Image" class="foo boo arr too dee too" id="blerg"><br>This is an exmaple of a plain IMG.</p>
	<p><em>IMG A</em></p>
	<p><a href="#"><img src="http://placekitten.com/600/321" width="600" height="320" alt="Image"></a><br>This is an exmaple of an IMG A.</p>
</div>';
	?>

	<h3 class="example">Example Content : Before Filter</h3>
	<div class="example-content before"><?php echo $example_content; ?></div>
	<div class="example-content before raw"><pre><?php echo htmlspecialchars($example_content); ?></pre></div>

	<h3 class="example">Example Content : After Filter</h3>
	<div class="example-content before"><?php echo tpbfi_filter($example_content); ?></div>
	<div class="example-content before raw"><pre><?php echo htmlspecialchars(tpbfi_filter($example_content)); ?></pre></div>

	<h3 class="example" id="filter-return">Filter Return</h3>
	<div class="example-content filter-return raw"><pre><?php tpbfi_filter($example_content); ?></pre></div>

	<?php endif; ?>

</div>
