<?php

// Require GT WordPress 3.3
function tpbfi_requires_wordpress_version() {
	global $wp_version;
	$plugin = plugin_basename( __FILE__ );
	$plugin_data = get_plugin_data( __FILE__, false );

	if ( version_compare($wp_version, "3.3", "<" ) ) {
		if( is_plugin_active($plugin) ) {
			deactivate_plugins( $plugin );
			wp_die( "'".$plugin_data['Name']."' requires WordPress 3.3 or higher, and has been deactivated! Please upgrade WordPress and try again.<br /><br />Back to <a href='".admin_url()."'>WordPress admin</a>." );
		}
	}
}
add_action( 'admin_init', 'tpbfi_requires_wordpress_version' );

// Require GT PHP 5
function tpbfi_requires_php_version() {
	$php_version = phpversion();
	$plugin = plugin_basename( __FILE__ );
	$plugin_data = get_plugin_data( __FILE__, false );

	if ( version_compare($php_version, "5", "<" ) ) {
		if( is_plugin_active($plugin) ) {
			deactivate_plugins( $plugin );
			wp_die( "'".$plugin_data['Name']."' requires PHP 5 or higher, and has been deactivated! Please upgrade your hosting environment and try again.<br /><br />Back to <a href='".admin_url()."'>WordPress admin</a>." );
		}
	}
}
add_action( 'admin_init', 'tpbfi_requires_php_version' );

// Require PHP:libxml
function tpbfi_requires_php_libxml() {
	$plugin = plugin_basename( __FILE__ );
	$plugin_data = get_plugin_data( __FILE__, false );

	if ( !extension_loaded('libxml') ) {
		if( is_plugin_active($plugin) ) {
			deactivate_plugins( $plugin );
			wp_die( "'".$plugin_data['Name']."' requires PHP:libxml, and has been deactivated! Please upgrade your hosting environment to include <a href=\"#\" target=\"_blank\">PHP:libxml</a> and try again.<br /><br />Back to <a href='".admin_url()."'>WordPress admin</a>." );
		}
	}
}
add_action( 'admin_init', 'tpbfi_requires_php_libxml' );

// Require PHP:dom
function tpbfi_requires_php_dom() {
	$plugin = plugin_basename( __FILE__ );
	$plugin_data = get_plugin_data( __FILE__, false );

	if ( !extension_loaded('dom') ) {
		if( is_plugin_active($plugin) ) {
			deactivate_plugins( $plugin );
			wp_die( "'".$plugin_data['Name']."' requires PHP:dom, and has been deactivated! Please upgrade your hosting environment to include <a href=\"#\" target=\"_blank\">PHP:dom</a> and try again.<br /><br />Back to <a href='".admin_url()."'>WordPress admin</a>." );
		}
	}
}
add_action( 'admin_init', 'tpbfi_requires_php_libxml' );

?>